notify-osd (0.9.35+20.04.20191129-0.1) unstable; urgency=medium

  * Non-maintainer upload.
  * New upstream release.

 -- Mateusz Łukasik <mati75@linuxmint.pl>  Mon, 12 Dec 2022 15:44:27 +0100

notify-osd (0.9.35+15.04.20150126-2) unstable; urgency=medium

  * QA upload.
  * Set maintainer to Debian QA Group <packages@qa.debian.org>. (see: #818024)
  * debian/control: Remove Uploaders field.

 -- Marcos Talau <talau@debian.org>  Sun, 13 Nov 2022 16:57:39 -0300

notify-osd (0.9.35+15.04.20150126-1) unstable; urgency=medium

  * Merge new upstream release from Ubuntu. Remaining Debian changes:
   - debian/control:
    + Update Standards-Version, change Maintainer and VCS fields.
    + Do not recommend notify-osd-icons, not in Debian.
   - src/defaults.c: Use dynamic slot allocation (See: #550592).
   - egg/egg-fixed.c: Fix build on armv4 instruction set (See: #598931).
   - debian/rules: Generate debian/changelog.upstream
   - Don't install dbus activation file (See: #640120).
   - Install notify-osd.desktop to /etc/xdg/autostart (See: #669136).
  * Allow overriding the building of the upstream changelog by
    setting 'DEB_BUILD_OPTIONS=nochanges'
  * Break out changes to the upstream source into quilt patches.
  * notify-osd.desktop: Remove OnlyShowIn field and insetead use
    NotShowIn (Closes: #786668).

 -- Andrew Starr-Bochicchio <asb@debian.org>  Mon, 25 May 2015 18:21:46 -0400

notify-osd (0.9.35+15.04.20150126-0ubuntu1) vivid; urgency=low

  [ Alberts Muktupāvels ]
  * Fix some deprecation warnings.
  * Some improvements: 1) Fix incorrect parameter in widget draw event
    function. 2) Use G_DEFINE_TYPE_WITH_PRIVATE.

 -- Ubuntu daily release <ps-jenkins@lists.canonical.com>  Mon, 26 Jan 2015 14:16:51 +0000

notify-osd (0.9.35+14.10.20140819-0ubuntu1) utopic; urgency=low

  [ Martin Pitt ]
  * Add missing "make" and "libnotify-bin" autopkgtest dependencies, and
    show test log on failure.

 -- Ubuntu daily release <ps-jenkins@lists.canonical.com>  Tue, 19 Aug 2014 13:48:10 +0000

notify-osd (0.9.35+14.04.20140213-0ubuntu1) trusty; urgency=low

  [ Lars Uebernickel ]
  * Don't place bubbles over panels on secondary monitors Using
    heuristics to find panels didn't prove to be very stable. Instead,
    use _NET_WORKAREA to find out about the panel size on the primary
    monitor and assume it's the same on every other monitor as well.

 -- Ubuntu daily release <ps-jenkins@lists.canonical.com>  Thu, 13 Feb 2014 15:54:34 +0000

notify-osd (0.9.35+14.04.20140117.1-0ubuntu1) trusty; urgency=low

  [ Samuel Mehrbrodt ]
  * Make 'focus-follow' the default for Multihead environments.

  [ Ubuntu daily release ]
  * Automatic snapshot from revision 480

 -- Ubuntu daily release <ps-jenkins@lists.canonical.com>  Fri, 17 Jan 2014 19:27:26 +0000

notify-osd (0.9.35+14.04.20131209-0ubuntu1) trusty; urgency=low

  [ Iain Lane ]
  * Clear the reference when we g_source_remove the timers so we don't
    attempt to remove them again in the dispose function.

  [ Ubuntu daily release ]
  * Automatic snapshot from revision 478

 -- Ubuntu daily release <ps-jenkins@lists.canonical.com>  Mon, 09 Dec 2013 17:23:36 +0000

notify-osd (0.9.35+14.04.20131204.2-0ubuntu1) trusty; urgency=low

  [ Lars Uebernickel ]
  * Update contents of a synchronous notification when replacing it.
    (LP: #404658)

  [ Mirco Müller ]
  * Avoid invalid call to g_source_remove() thus fixing LP: #1257717.
    (LP: #1257717)

  [ Jian-Ding Chen ]
  * Update contents of a synchronous notification when replacing it.
    (LP: #404658)

  [ Ubuntu daily release ]
  * Automatic snapshot from revision 476

 -- Ubuntu daily release <ps-jenkins@lists.canonical.com>  Wed, 04 Dec 2013 20:23:48 +0000

notify-osd (0.9.35+14.04.20131030.1-0ubuntu1) trusty; urgency=low

  [ Mirco Müller ]
  * Watch "NameLost" signal on DBus and exit if received.

  [ Lars Uebernickel ]
  * Allow being replaced by a different notification service.

  [ Ubuntu daily release ]
  * Automatic snapshot from revision 473

 -- Ubuntu daily release <ps-jenkins@lists.canonical.com>  Wed, 30 Oct 2013 10:06:24 +0000

notify-osd (0.9.35+13.10.20130917.1-0ubuntu1) saucy; urgency=low

  [ Sami Jaktholm ]
  * Return correct notification ID to clients. (LP: #1191565)

  [ Ubuntu daily release ]
  * Automatic snapshot from revision 470

 -- Ubuntu daily release <ps-jenkins@lists.canonical.com>  Tue, 17 Sep 2013 22:04:19 +0000

notify-osd (0.9.35+13.10.20130725-0ubuntu1) saucy; urgency=low

  [ Jeremy Bicha ]
  * Have the tests depend on at-spi2-core.

  [ Ubuntu daily release ]
  * Automatic snapshot from revision 468

 -- Ubuntu daily release <ps-jenkins@lists.canonical.com>  Thu, 25 Jul 2013 17:40:52 +0000

notify-osd (0.9.35daily13.06.12-0ubuntu1) saucy; urgency=low

  [ Lars Uebernickel ]
  * Don't crash when an application is fullscreen when a notification
    arrives. (LP: #1189281)

  [ Ubuntu daily release ]
  * Automatic snapshot from revision 466

 -- Ubuntu daily release <ps-jenkins@lists.canonical.com>  Wed, 12 Jun 2013 00:02:38 +0000

notify-osd (0.9.35daily13.05.30-0ubuntu1) saucy; urgency=low

  * Automatic snapshot from revision 464

 -- Ubuntu daily release <ps-jenkins@lists.canonical.com>  Thu, 30 May 2013 00:24:19 +0000

notify-osd (0.9.35daily13.05.29ubuntu.unity.next-0ubuntu1) saucy; urgency=low

  * Automatic snapshot from revision 463 (ubuntu-unity/next)

 -- Ubuntu daily release <ps-jenkins@lists.canonical.com>  Wed, 29 May 2013 16:55:43 +0000

notify-osd (0.9.35daily13.05.20ubuntu.unity.next-0ubuntu1) raring; urgency=low

  [ Łukasz 'sil2100' Zemczak ]
  * debian/control, debian/copyright, debian/rules:
    - Modifications related to compliance with our packaging standards

  [ Ubuntu daily release ]
  * Automatic snapshot from revision 462 (ubuntu-unity/next)

 -- Ubuntu daily release <ps-jenkins@lists.canonical.com>  Mon, 20 May 2013 00:01:28 +0000

notify-osd (0.9.35daily12.11.28-0ubuntu1) raring; urgency=low

  [ Robert Bruce Park ]
  * Inline packaging metadata.

  [ Didier Roche ]
  * Automatic snapshot from revision 458 (bootstrap):
    - add some dep8 test. Thanks mterry

  [ Automatic PS uploader ]
  * Automatic snapshot from revision 460

 -- Automatic PS uploader <ps-jenkins@lists.canonical.com>  Wed, 28 Nov 2012 06:30:40 +0000

notify-osd (0.9.34-2) unstable; urgency=low

  * Fix FTBFS on armel when using armv4/armv4t instruction set.
    (Closes: #598931) Thanks to Evgeni Golov for the patch.

 -- Andrew Starr-Bochicchio <a.starr.b@gmail.com>  Wed, 06 Jun 2012 15:05:43 -0400

notify-osd (0.9.34-1) unstable; urgency=low

  [ Andrew Starr-Bochicchio ]
  * Merge new upstream release from Ubuntu.
  * Remaining Debian changes:
   - debian/control:
    + Update Standards-Version, change Maintainer and VCS fields.
    + Do not recommend notify-osd-icons, not in Debian.
    + Provide notification-daemon.
   - src/defaults.c: Use dynamic slot allocation (See: #550592).
   - debian/rules: Generate debian/changelog.upstream
   - Don't install dbus activation file (See: #640120).
  * debian/rules: Generate upstream changelog from tag.
  * debian/control: Bump Standards-Version to 3.9.3, no changes.
  * Install notify-osd.desktop to /etc/xdg/autostart (Closes: #669136).

  [ Evgeni Golov ]
  * Set DM-Upload-Allowed: yes for Andrew.

 -- Andrew Starr-Bochicchio <a.starr.b@gmail.com>  Sun, 20 May 2012 12:54:51 -0400

notify-osd (0.9.34-0ubuntu5) quantal; urgency=low

  * debian/source_notify-osd.py:
    - Use gsettings not gconf to read current theme

 -- Jeremy Bicha <jbicha@ubuntu.com>  Mon, 17 Sep 2012 22:21:32 -0400

notify-osd (0.9.34-0ubuntu4) quantal; urgency=low

  * When running without a compositor, don't show a dark black border

 -- Michael Terry <mterry@ubuntu.com>  Wed, 29 Aug 2012 10:04:31 -0400

notify-osd (0.9.34-0ubuntu3) quantal; urgency=low

  * debian/source_notify-osd.py: Drop tabs to fix compatibility with Python 3.
    Thanks Edward Donovan! (LP: #1013171)

 -- Martin Pitt <martin.pitt@ubuntu.com>  Mon, 18 Jun 2012 15:05:56 +0200

notify-osd (0.9.34-0ubuntu2) precise; urgency=low

  * Backport Cimi's color tweaks improvements (lp: #977974)

 -- Sebastien Bacher <seb128@ubuntu.com>  Tue, 10 Apr 2012 15:19:23 +0200

notify-osd (0.9.34-0ubuntu1) precise; urgency=low

  * New upstream release
    - Use _GNOME_BACKGROUND_REPRESENTATIVE_COLORS to better determine tinting
      for the notification background
    * notify-osd in invisible area of dual screen setup (LP: #716458)

 -- Ken VanDine <ken.vandine@canonical.com>  Fri, 23 Mar 2012 12:21:58 -0400

notify-osd (0.9.33-0ubuntu1) precise; urgency=low

  * New upstream release:
    - change background colour to use the same median colour used in
      the unity dash (lp: #810325)
    - should migrate the user gconf keys values to gsettings (lp: #827897)
    - accessibility broken due to recent GTK3 changes (lp: #856071)
    - keeps on writing to .cache/notify-osd.log and waking up my drive
      (lp: #904835)
    - wakes up for every key/focus event after showing the first bubble
      (lp: #915389)

 -- Sebastien Bacher <seb128@ubuntu.com>  Wed, 08 Feb 2012 21:08:41 +0100

notify-osd (0.9.32-2) unstable; urgency=low

  * debian/control: Provide notification-daemon (Closes: #659124).

 -- Andrew Starr-Bochicchio <a.starr.b@gmail.com>  Wed, 15 Feb 2012 07:18:18 +0100

notify-osd (0.9.32-1) unstable; urgency=low

  * Merge new upstream release from Ubuntu.
   - Drop Conflict/Replace on notify-daemon and alsdorf.(Closes: #541779).
   - Fixes FTBFS with libnotify 0.7 (Closes: #636669).
  * Remaining Debian changes:
   - debian/control:
    + Update Standards-Version, change Maintainer and VCS fields.
    + Do not recommend notify-osd-icons, not in Debian.
   - src/defaults.c: Use dynamic slot allocation (See: #550592)
   - debian/rules: Generate debian/changelog.upstream
   - notify-osd.{preinst, postrm}: Do not redirect output of dpkg-divert.
  * Update Vcs-Browser field due to Aloith changes. 
  * debian/rules: Upstream didn't tag 0.9.32 properly in vcs. Use specific
    rev number instead of tag to generate debian/changelog.upstream
  * Don't install dbus activation file (Closes: #640120).
   - Drop Replaces on notification-daemon added in Ubuntu.
   - Drop postrm script and modify preinst to remove obsolete diversion.

 -- Andrew Starr-Bochicchio <a.starr.b@gmail.com>  Tue, 31 Jan 2012 13:53:39 +0100

notify-osd (0.9.32-0ubuntu5) precise; urgency=low

  * Fix unnecessary wakeups on every keyboard/focus event:
    - configure.in: Check if wnck_shutdown() is available.
    - src/dnd.c: Call wnck_shutdown() (if available) when we are done with
      fullscreen window checking.
    - https://code.launchpad.net/~pitti/notify-osd/wnck_shutdown/+merge/89836
    - LP: #915389

 -- Martin Pitt <martin.pitt@ubuntu.com>  Tue, 24 Jan 2012 09:23:55 +0100

notify-osd (0.9.32-0ubuntu4) precise; urgency=low

  * src/log.c: don't log unless the LOG environment variable is set
    (lp: #904835)

 -- Sebastien Bacher <seb128@ubuntu.com>  Fri, 16 Dec 2011 18:59:28 +0100

notify-osd (0.9.32-0ubuntu3) oneiric; urgency=low

  * Merged gconf -> gsettings convert fix from trunk (LP: #827897)
  * src/Makefile.am
    - Add -lm to LDADD to fix FTBFS

 -- Ken VanDine <ken.vandine@canonical.com>  Thu, 22 Sep 2011 12:19:01 -0400

notify-osd (0.9.32-0ubuntu2) oneiric; urgency=low

  * debian/control: Remove obsolete conflicts/replaces.
  * debian/control: Add Replaces: notification-daemon, as they (will) both
    ship the D-BUS activation file. (See LP #819506)

 -- Martin Pitt <martin.pitt@ubuntu.com>  Fri, 19 Aug 2011 18:23:18 +0200

notify-osd (0.9.32-0ubuntu1) oneiric; urgency=low

  * New upstream version
    - ported to gsettings
  * debian/control
    - Dropped build depends for libgconf2-dev

 -- Ken VanDine <ken.vandine@canonical.com>  Wed, 10 Aug 2011 22:30:03 -0400

notify-osd (0.9.31-0ubuntu2) oneiric; urgency=low

  * data/org.freedesktop.Notifications.service.in: Update for recently renamed
    sessions.

 -- Martin Pitt <martin.pitt@ubuntu.com>  Wed, 10 Aug 2011 11:09:53 +0200

notify-osd (0.9.31-0ubuntu1) oneiric; urgency=low

  * New upstream version:
    - use gtk3 (lp: #655232)
  * debian/control:
    - updated the build-depends

 -- Sebastien Bacher <seb128@ubuntu.com>  Mon, 11 Jul 2011 18:24:23 +0200

notify-osd (0.9.30-1) unstable; urgency=low

  * Merge new upstream release from Ubuntu, remaining
    Debian changes:
   - debian/control:
    + Update Standards-Version, change Maintainer and VCS fields.
    + Do not recommend notify-osd-icons, not in Debian.
   - src/defaults.c: Use dynamic slot allocation (See: #550592)
   - debian/rules: Generate debian/changelog.upstream
  * Adopt package for the Ayatana Packagers team and point Vcs
    fields to the pkg-ayatana repo at bzr.debian.org (Closes: #624758).
  * The new release fixes the FTBFS with binutils-gold (Closes: #555778).
  * Do not redirect output of dpkg-divert in notify-osd.{preinst, postrm}
    (Closes: #548247).
  * Bump Standards-Version to 3.9.2, no changes needed.
  * debian/rules:
   - Revert change from CDBS to dh 7.
   - Call autoreconf.mk before debhelper.mk so that it is
     properly cleaned up after (See: #596099).

 -- Andrew Starr-Bochicchio <a.starr.b@gmail.com>  Thu, 19 May 2011 13:24:31 -0400

notify-osd (0.9.30-0ubuntu4) natty; urgency=low

  * data/org.freedesktop.Notifications.service.in:
    - fix typo

 -- Didier Roche <didrocks@ubuntu.com>  Wed, 06 Apr 2011 09:09:58 +0200

notify-osd (0.9.30-0ubuntu3) natty; urgency=low

  * gnome-2d and unity-2d should use notify-osd as well (LP: #748970)

 -- Didier Roche <didrocks@ubuntu.com>  Mon, 04 Apr 2011 15:21:11 +0200

notify-osd (0.9.30-0ubuntu2) natty; urgency=low

  * The "gnome-classic" sessions should use notify-osd (lp: #716136)

 -- Sebastien Bacher <seb128@ubuntu.com>  Wed, 09 Mar 2011 16:40:09 +0100

notify-osd (0.9.30-0ubuntu1) natty; urgency=low

  * New upstream release
    - multi-monitor related fixes for correctly positioning the
      notification-bubbles
    - Notification borders are cut off on the right bottom side (LP: #724842)
    - Two notification bubbles at the same time (LP: #559109)
    - Fallback alert has leftmost button as default (LP: #353843)
    - should build without GTK deprecation (LP: #655232)
    - Black border in the notifications when effects are turned
      off (LP: #654921)
    - Notify-osd needs to pause the timer during mouse-over (LP: #500663)

 -- Ken VanDine <ken.vandine@canonical.com>  Fri, 25 Feb 2011 10:04:57 -0500

notify-osd (0.9.29-0ubuntu5) natty; urgency=low

  * Add missing gnome-common build dependency to fix autoreconf'ing.

 -- Martin Pitt <martin.pitt@ubuntu.com>  Mon, 03 Jan 2011 14:34:36 +0100

notify-osd (0.9.29-0ubuntu4) natty; urgency=low

  * Rebuild to get SVGs optimized.
  * Cherrypick lp:~pitti/notify-osd/link-gcc-4.5 to get this package buildable
    with the Natty toolchain.
  * debian/rules: Use autoreconf.mk, add dh-autoreconf build dependency. This
    will pick up above change.

 -- Martin Pitt <martin.pitt@ubuntu.com>  Mon, 03 Jan 2011 13:25:03 +0100

notify-osd (0.9.29-0ubuntu3) maverick; urgency=low

  * data/org.freedesktop.Notifications.service.in:
    - exec notify-osd in UNE session (LP: #600508)

 -- Didier Roche <didrocks@ubuntu.com>  Thu, 01 Jul 2010 14:17:17 +0200

notify-osd (0.9.29-0ubuntu2) lucid; urgency=low

  * Backport change from Mirco Müller to fix double bubbles issue (lp: #559109)

 -- Sebastien Bacher <seb128@ubuntu.com>  Wed, 14 Apr 2010 12:50:49 +0200

notify-osd (0.9.29-0ubuntu1) lucid; urgency=low

  * New upstream version:
    - change the way the "empty" 1x1 pixel large input-mask is created
    - fixed the masking out of the bubble on mouse-over for the non-composited
      desktop (lp: #546650)
    - reset the stored filename (or path) of an icon, when an icon is passed
      via a hint (lp: #451086)
    - added C-example testing updating the icon of a notification
      using all three possible approaches
      (image_path hint, image_data hint, icon-parameter)

 -- Sebastien Bacher <seb128@ubuntu.com>  Thu, 08 Apr 2010 12:47:50 +0200

notify-osd (0.9.27-0ubuntu3) lucid; urgency=low

  * Backported change from Mirco Müller to fix click through being broken since
    the gtk update (lp: #546650)

 -- Sebastien Bacher <seb128@ubuntu.com>  Tue, 30 Mar 2010 19:29:49 +0200

notify-osd (0.9.27-0ubuntu2) lucid; urgency=low

  * data/org.freedesktop.Notifications.service.in: Use notify-osd for guest
    session. (LP: #461407)

 -- Martin Pitt <martin.pitt@ubuntu.com>  Tue, 30 Mar 2010 12:13:20 +0200

notify-osd (0.9.27-0ubuntu1) lucid; urgency=low

  * New upstream version:
    - Small maintainance release to fix LP: #525546, so appending works
      correctly. This release is also a prerequisite for fixing nm-applet bug
      LP: #460144  (or papercut LP: #530041).
    - updates to the title- and body-tiles (surface/blur-cache) were
      not always done correctly (lp: #525546)

 -- Sebastien Bacher <seb128@ubuntu.com>  Tue, 09 Mar 2010 16:12:46 +0100

notify-osd (0.9.26-0ubuntu1) lucid; urgency=low

  * New upstream version:
    - Because the newer/different blur-algorithm is used now, the
      blur-radius for the over-/under-shoot throbbing for icon and
      value-indicator needed to be decreased, fixes LP: #527756
    - Merged in lp:~qense/notify-osd/fix-465801 from Sense Hofstede
      fixing LP: #465801, makes storing notify-osd.log more f.d.o-compliant

 -- Sebastien Bacher <seb128@ubuntu.com>  Fri, 05 Mar 2010 17:37:37 +0100

notify-osd (0.9.25-0ubuntu1) lucid; urgency=low

  * New upstream version:
    - conditional refresh of blurred tiles, prevent regeneration of
      tiles if title, body, icon or value didn't change
    - font-sizes with fractional parts don't cause bubble to become tiny anymore
      (fixes LP: #396736, LP: #457655, LP: #458413, LP: #459290, LP: #459689)
    - all but drop-shadow use the faster exponential blur now

 -- Sebastien Bacher <seb128@ubuntu.com>  Fri, 05 Feb 2010 12:41:32 -0800

notify-osd (0.9.24-0ubuntu3) lucid; urgency=low

  * data/org.freedesktop.Notifications.service.in:
    - enough debugging now, turn to non debug by default...

 -- Sebastien Bacher <seb128@ubuntu.com>  Thu, 14 Jan 2010 11:10:45 +0100

notify-osd (0.9.24-0ubuntu2) lucid; urgency=low

  * data/org.freedesktop.Notifications.service.in:
    - set debug on in lucid

 -- Sebastien Bacher <seb128@ubuntu.com>  Thu, 12 Nov 2009 12:47:45 -0600

notify-osd (0.9.24-0ubuntu1) karmic; urgency=low

  * New upstream version:
    - fixed regression for newline-character replacement in the text_filter
    - fixed fonts issues (LP: #396736)
    - fixed crasher (LP: #425508
    - fixed another crasher (LP: #437088)
    - added workaround for icon-name-prefix substitution
    - fixed accidentally deleted drawing of drop-shadow for title-text
    - avoid re-executing glow-/dim-effect when synchronizing timeouts of bubbles

 -- Sebastien Bacher <seb128@ubuntu.com>  Tue, 20 Oct 2009 11:23:14 +0200

notify-osd (0.9.23-2) unstable; urgency=low

  * src/defaults.c: Use dynamic slot allocation (Closes: #550592)
  * debian/changelog.upstream: Include upstream bzr log (Closes: #550591).
    - Created by debian/rules pre-build, which is run by bzr builddeb.

 -- Julian Andres Klode <jak@debian.org>  Sun, 11 Oct 2009 15:46:22 +0200

notify-osd (0.9.23-1) unstable; urgency=low

  * New upstream release.

 -- Julian Andres Klode <jak@debian.org>  Sat, 10 Oct 2009 18:21:49 +0200

notify-osd (0.9.23-0ubuntu1) karmic; urgency=low

  * New upstream version:
    - updating NEWS file now, fixes LP: #432486
    - no long using hard-coded -Werror, fixes LP: #361788
    - solved regression regarding throbbing-animation for
      value-indicator, fixes LP: #435116
    - looking up gravity-gconf-key upon startup, fixes LP: #431200
    - convert newline characters to spaces, fixes LP: #402247

  [ Martin Pitt ]
  * debian/control: Drop alternative human-icon-theme dependency, so that
    upgrades get notify-osd-icons properly.

 -- Sebastien Bacher <seb128@ubuntu.com>  Thu, 01 Oct 2009 17:27:50 +0200

notify-osd (0.9.22-0ubuntu1) karmic; urgency=low

  * New upstream version: notify-osd has been scrutinized thoroughly
    under valgrind to identify all mem-leaks and invalid reads.
    (LP: #427924, #375408, #405364, #378193, #428302)

 -- Sebastien Bacher <seb128@ubuntu.com>  Thu, 24 Sep 2009 16:14:59 +0200

notify-osd (0.9.21-0ubuntu3) karmic; urgency=low

  * debian/control: Drop dependency on human-icon-theme, and instead recommend
    the new notify-osd-icons | human-icon-theme.

 -- Martin Pitt <martin.pitt@ubuntu.com>  Thu, 24 Sep 2009 12:37:38 +0200

notify-osd (0.9.21-0ubuntu2) karmic; urgency=low

  * Correctly rebase on the current upstream version

 -- Sebastien Bacher <seb128@ubuntu.com>  Fri, 11 Sep 2009 14:05:52 +0200

notify-osd (0.9.21-0ubuntu1) karmic; urgency=low

  * New upstream version (LP: #427434)
    - Using a fixed slot-allocation scheme now. This means async
      bubbles (e.g. volume) always appear in the top slot/position
      and sync. bubbles (e.g. IM-message notification) always appear
      in the bottom slot/position.

 -- Ken VanDine <ken.vandine@canonical.com>  Thu, 10 Sep 2009 12:51:58 -0400

notify-osd (0.9.20-0ubuntu1) karmic; urgency=low

  * New upstream version:
    - added support for integer gconf-key "/apps/notify-osd/gravity"
    - supported values are 1 (NorthEast, top-right) and 2 (East, vertically centered at right of screen)
    - switch back default positioning to NorthEast (top-right)

 -- Sebastien Bacher <seb128@ubuntu.com>  Tue, 01 Sep 2009 16:02:26 +0200

notify-osd (0.9.19-0ubuntu1) karmic; urgency=low

  * New upstream version: (LP: #420046)
    - updated sizing-factor of body-text height to be 0.9 EMs (of system-wide
      setting) according to https://wiki.ubuntu.com/NotifyOSD#Body%20text
    - implemented fade-prevention when bubble is opened while mouse-pointer
      is over it/within proximity-fade area
    - fade-out value now set to 40% as stated in
      https://wiki.ubuntu.com/NotifyOSD#Interaction
    - added support for automake-1.11's slient output
    - added valgrind make-rule
    - experiment with centering bubbles vertically, sync. bubble always goes
      above center-line, async. one always below it
    - ensure GErrors are correctly freed

 -- Ken VanDine <ken.vandine@canonical.com>  Thu, 27 Aug 2009 20:47:56 +0200

notify-osd (0.9.18-1) unstable; urgency=low

  * New upstream release.

 -- Julian Andres Klode <jak@debian.org>  Fri, 21 Aug 2009 18:00:04 +0200

notify-osd (0.9.18-0ubuntu1) karmic; urgency=low

  * New upstream version: (lp: #417384)
    - code-clean by extracting fallback-dialog from class Bubble
    - fixes for i18n unit-tests
    - enforce notification-spam protection (part of backlog-feature work), max. 50 allowed in queue
    - Python-examples now get included in generated dist. tarball

 -- Sebastien Bacher <seb128@ubuntu.com>  Thu, 27 Aug 2009 11:29:55 +0200

notify-osd (0.9.17-1) unstable; urgency=low

  * New upstream release.
  * Upgrade Standards-Version to 3.8.3.

 -- Julian Andres Klode <jak@debian.org>  Sun, 16 Aug 2009 12:18:36 +0200

notify-osd (0.9.17-0ubuntu1) karmic; urgency=low

  * New upstream version:
    - added timings-object in preparation for coming
      "animations and durations" work
    - patch from Eitan Isaacson fixing LP: #409810
    - patch from Aurélien Gateau extending text-filtering to handle newlines and
      some HTML-tags

 -- Sebastien Bacher <seb128@ubuntu.com>  Fri, 14 Aug 2009 17:58:40 +0200

notify-osd (0.9.16-0ubuntu1) karmic; urgency=low

  * New upstream version:
    - further preparation for refactoring of class Bubble and Stack
    - mem-leak fixes and fix for LP: #378193 by Alexander Sack
    - much code-refactoring
    - adapted to 0.10 fd.o spec
    - lots of autotools-related fixes and improvements
    - added ATK interface by Eitan Isaacson
    - fix by Chow Loong Jin for LP: #401809
    - added support for image_data and image_path

 -- Sebastien Bacher <seb128@ubuntu.com>  Wed, 05 Aug 2009 08:49:17 +0100

notify-osd (0.9.15-1) unstable; urgency=low

  * Initial upload to Debian (Closes: #537852)
  * debian/copyright: Use DEP-5 specification.
  * debian/control:
    - Update Standards-Version, change Maintainer and VCS fields.
    - Do not depend on human-icon-theme anymore
  * debian/rules: Use debhelper 7 instead of cdbs

 -- Julian Andres Klode <jak@debian.org>  Tue, 21 Jul 2009 13:02:42 +0200

notify-osd (0.9.15-0ubuntu2) karmic; urgency=low

  (cherry-pick rev 357 from lp:~asac/notify-osd/lp378193_tile_memleak)
  * fix LP: #378193 - huge memory leak in notify-osd; turned out the biggest share of
     memory leak was due to tile objects not properly destroyed in bubble.c; refactoring code a bit
     to prevent this in future
     - update src/bubble.c

 -- Alexander Sack <asac@ubuntu.com>  Mon, 27 Jul 2009 17:53:28 +0200

notify-osd (0.9.15-0ubuntu1) karmic; urgency=low

  * New upstream version:
    - fixed wrong default values for bubble-width, margin- and icon-size
    - fixed regressions introduced by the move to the surface- and blur-cache
    - improved drawing of gauge/indicator
    - tweaked rendering of layout-grid, added display of layout-grid to
      debug-mode of notify-osd
    - refactored rendering code for bubble
    - migrated rendering of drop-shadow, background, icon, title,
      body and gauge to surface/blur-cache
    - added surface- and blur-cache
    - added debug-output for font-size, screen-dpi, pixels/EM and
      bubble-width in pixels
    - fixed rounding errors in pixel-per-em calculation, changed default bubble
      width to 24 EMs, fixed title- and body-text height,
      fixes LP: #336110 and LP: #391190

 -- Sebastien Bacher <seb128@ubuntu.com>  Tue, 21 Jul 2009 10:46:15 +0200

notify-osd (0.9.14.1-0ubuntu1) karmic; urgency=low

  * New upstream version

 -- Sebastien Bacher <seb128@ubuntu.com>  Mon, 22 Jun 2009 15:40:02 +0200

notify-osd (0.9.14-0ubuntu1) karmic; urgency=low

  * New upstream version:
    - Numerous bug-fixes
    - Added a special debugging feature for displaying notification urgencies
      if started with "DEBUG=1 /usr/lib/notify-osd/notify-osd", meant to help
      with collecting data for the Do-Not-Disturb mode, testers are encouraged
      to run with it enabled and report any applications tagging their
      notifications with the wrong urgency-level
    - Implemented a new fade-on-hover behaviour called "proximity-fade", this
      monitors the mouse pointer and upon nearing the bubble it will fade out
      based on the distance of the pointer to the bubble edges
    - Trigger-values for under- and overshoot-animations have changed, this
      makes it necessary to also update gnome-power-manager and
      gnome-settings-daemon
  * debian/control:
    - updated libnotify requirement

 -- Sebastien Bacher <seb128@ubuntu.com>  Mon, 22 Jun 2009 14:36:24 +0200

notify-osd (0.9.13-0ubuntu1) karmic; urgency=low

  * New upstream version
  * Tweak to the apport hook installation

  [ Ara Pulido ]
  * Install an apport hook so bugs get details about the configuration

  [ Loic Minier ]
  * Drop patch debian/patches/60_gdmsession-strip-desktop-extension.patch and
    do the changes to data/org.freedesktop.Notifications.service.in directly.
  * Drop unused simple-patchsys; changes are done in the diff directly.
  * Set LDFLAGS directly instead of via DEB_CONFIGURE_ENV; bdep on cdbs >=
    0.4.41.
  * Cleanup some whitespaces.
  * data/org.freedesktop.Notifications.service.in: more quoting, GDMSESSION
    isn't always set (e.g. when using startx).
  * Pass "-z defs" to ld before --as-needed for safety.

 -- Sebastien Bacher <seb128@ubuntu.com>  Wed, 03 Jun 2009 15:49:05 +0200

notify-osd (0.9.11-0ubuntu2) jaunty; urgency=low

  * data/org.freedesktop.Notifications.service.in: strip .desktop from
    GDMSESSION before checking it; LP: #360989.

 -- Loic Minier <lool@dooz.org>  Tue, 14 Apr 2009 13:44:56 +0200

notify-osd (0.9.11-0ubuntu1) jaunty; urgency=low

  * New upstream version:
    - reposition a sync. bubble upon appended async (lp: #334388)
    - do not print debug for non-bubbles (NULL); (lp: #352668)

 -- Sebastien Bacher <seb128@ubuntu.com>  Thu, 09 Apr 2009 13:57:41 +0200

notify-osd (0.9.10-0ubuntu2) jaunty; urgency=low

  * data/org.freedesktop.Notifications.service.in: Only run notify-osd on
    GNOME sessions; if you have both Kubuntu and Ubuntu installed, Kubuntu
    shouldn't get notify-osd. (LP: #338279)

 -- Martin Pitt <martin.pitt@ubuntu.com>  Wed, 08 Apr 2009 22:26:26 -0700

notify-osd (0.9.10-0ubuntu1) jaunty; urgency=low

  * New upstream bug fix release:
    - Enforce 10-line-limit for body-message text if newline-characters are part of it.
    - Fixes DoS-like exploit-weakness of new append-functionality introduced with rev. 280.
    - Make fallback dialogs more HIG-compliant. (LP: #332178)
    - cairo_surface_t reference is lost when pointer is overwritten (LP: #356916)
    - priv->icon_pixbuf is overwritten before it's current reference is decreased (LP: #356927)
    - string from dbus_g_method_get_sender not freed (LP: #356858)
    - Notification entries are not appended unless a replace is used (LP: #337394)
    - Fix the workarea fallback case.

 -- Martin Pitt <martin.pitt@ubuntu.com>  Wed, 08 Apr 2009 16:14:08 -0700

notify-osd (0.9.9-0ubuntu1) jaunty; urgency=low

  * New upstream version:
    - updated text-filter, fixes LP: #353398
    - revert commit 267, a dedicated env-var for indicating a non-composited
      desktop under UNR is not needed
    - revert commit 266, fixes LP: #354349
    - don't do any filtering on the summary-text, removed the filter for the
      summary-text completely
    - only pass message-body text through HTML- and markup-filter,
      the summary text should only be filtered for pango-markup,
      treat bubble and fallback-dialog in the same manner

 -- Sebastien Bacher <seb128@ubuntu.com>  Fri, 03 Apr 2009 16:54:44 +0200

notify-osd (0.9.8-0ubuntu1) jaunty; urgency=low

  * New upstream version:
    - introduced env. variable NOTIFY_OSD_MUST_NOT_USE_COMPOSITING for UNR
    - added fallback positioning-behaviour for corner-case
      when no gnome-panel was found (lp: #351516, #351593)
    - added sanity-check for existence of $HOME/.cache (lp: #345770)
  * debian/patches/correct_service_install.patch:
    - the change is in the new version

 -- Sebastien Bacher <seb128@ubuntu.com>  Wed, 01 Apr 2009 15:33:59 +0200

notify-osd (0.9.7-0ubuntu3) jaunty; urgency=low

  * Merge to trunk, to *really* get 0.9.7.
  * Drop "alsdorf" transitional package. We have had it long enough.
  * Drop debian/notify-osd.install, not necessary any more with just one
    binary package.

 -- Martin Pitt <martin.pitt@ubuntu.com>  Tue, 31 Mar 2009 13:45:07 +0200

notify-osd (0.9.7-0ubuntu2) jaunty; urgency=low

  * Reupload, previous upload dropped Ubuntu patches, causing
    stracciatella-session to use notify-osd instead of notification-daemon.

 -- Martin Pitt <martin.pitt@ubuntu.com>  Tue, 31 Mar 2009 12:53:25 +0200

notify-osd (0.9.7-0ubuntu1) jaunty; urgency=low

  * New upstream version:
    - added and improved multihead support,
      notifications stick to panel whatever the monitor it is on (lp: #331369)
    - crashers fixes (lp: #331927, #349133)
    - enable the icon lookup fallback mechanism for fallback icons like
      notification-display-brightness-* (lp: #344385)
    - reworked parts of notify-osd in order to make it adapt dynamically to
      changes of font-face, font-size and dpi (lp: #339731)
    - ensure X errors will not kill notify-osd
    - use HTML- and markup-filter for title- and body-message-text also
      in fallback-dialog
  * debian/patches/correct_service_install.patch:
    - correctly install the dbus service
  * debian/rules:
    - use simple-patchsys rules

 -- Sebastien Bacher <seb128@ubuntu.com>  Sat, 28 Mar 2009 12:45:12 +0100

notify-osd (0.9.6-0ubuntu2) jaunty; urgency=low

  * debian/control: Add missing new build dependency libwnck-dev.

 -- Martin Pitt <martin.pitt@ubuntu.com>  Thu, 19 Mar 2009 14:23:19 +0100

notify-osd (0.9.6-0ubuntu1) jaunty; urgency=low

  * New upstream release 0.9.6:
    - Detect screensaver inhibition for do-not-disturb mode.
    - Add compatibility checks to ease transition period for applications to
      pick up the capability  and hint name changes. (LP: #343553)
    - Correctly exit if registering on DBus failed. (LP: #331150)
    - Fix filtering of HTML.
    - Basic accessibility support.

 -- Martin Pitt <martin.pitt@ubuntu.com>  Thu, 19 Mar 2009 13:39:13 +0100

notify-osd (0.9.5-0ubuntu1) jaunty; urgency=low

  * New upstream bug fix release:
    - Fix typo in project name in AC_INIT (LP: #338837)
  * Add debian/watch.
  * Add bzr-builddeb configuration.
  * debian/copyright: Update download location.

 -- Martin Pitt <martin.pitt@ubuntu.com>  Tue, 17 Mar 2009 13:31:07 +0100

notify-osd (0.9.3-0ubuntu1) jaunty; urgency=low

  * New upstream version:
    - don't crash on download notifications (lp: #332042)
    - correctly pass actions to the fallback (lp: #340773)
    - correctly namespace the capability names (lp: #340817)

 -- Sebastien Bacher <seb128@ubuntu.com>  Fri, 13 Mar 2009 15:13:30 +0100

notify-osd (0.9ubuntu2) jaunty; urgency=low

  * Merge bug fixes from trunk (r219):
    - Added max. limit of 10 lines for message-body text.
    - 3-line wrapping for summary text.
    - capability "truncation" now advertised to clients (LP: #337389)
    - non-composite mouse-hover effect now fully blanks (LP: #336108)
    - disable markup-filter if parsing fails (LP: #331019)

 -- Martin Pitt <martin.pitt@ubuntu.com>  Wed, 04 Mar 2009 19:47:24 +0100

notify-osd (0.9-0ubuntu1) jaunty; urgency=low

  * New upstream release:
  - src/bubble.c: Ensure that window is always on top (LP: #331115)
  - Updated value-indicator bar-rendering to comply to visual guidelines from
    design-team
  - Temp. fix for notifications appearing over panel, will visually break for
    people without a top panel
  - Added API-calls bubble_get_title(), bubble_get_body_message() and
    bubble_get_value() to ease a11y
  - Don't allow LAYOUT_ICON_ONLY when missing icon pixbuf, nice catch by
    Frederic "fredp" Peters <fpeters@gnome.org>
  - Implement support for title-only (LP: #333524)
  - Changed capability hints: private-synchronous, append and private-icon-only
  - make sure text is rendered using system-wide font-settings
    for antialiasing, subpixel-order and hinting (LP: #331165)
  - Provide fallback gnome icons for people not using the Human theme; thanks to
    asomething for the proposed fix
  - sync. icon-value following sync. icon-only misses layout-change
    (LP: #335250)
  - Fallback alert has leftmost button as default (LP: #330091)
  - Fallback alert boxes shouldn't use custom icons (LP: #330088)
  - Fallback alerts aren't centered (LP: #330484)
  * debian/control: Fix Homepage and Vcs-Bzr fields.
  * Drop icons/avatar.png from bzr, since it's not part of the orig.tar.gz and
    not used in the upstream code.

 -- Martin Pitt <martin.pitt@ubuntu.com>  Mon, 02 Mar 2009 17:37:47 +0100

notify-osd (0.8-0ubuntu4) jaunty; urgency=low

  * Fix Conflicts/Replaces on alsdorf so that the transitional package is
    installable (LP: #332831).

 -- Colin Watson <cjwatson@ubuntu.com>  Mon, 23 Feb 2009 10:45:53 +0100

notify-osd (0.8-0ubuntu3) jaunty; urgency=low

  * data/org.freedesktop.Notifications.service.in: Run
    notification-daemon for stracciatella-session.
  * Merge bug fixes from trunk:
    - Ensure that window is always on top. Thanks Alexander Sack for
      the patch! (LP: #331115)
    - change window-title to be picked up by window-match-rules of
      compiz-plugins and not collide with the old notification-daemon
    - egg/egg-fixed.c: Fix unused symbol on arm, which causes build
      failure due to -Werror.

 -- Martin Pitt <martin.pitt@ubuntu.com>  Wed, 18 Feb 2009 22:55:40 +0100

notify-osd (0.8-0ubuntu2) jaunty; urgency=low

  [ David Barth ]
  * Ensure we are installed with the right icon set.
  * imported code with from the trunk with the new 'notify-osd' name
  * return proper list of server capabilities
  * sync bubble timers to avoid a hole at the top (temporary)
  * remove flicker for bubble appearing/fading under the mouse-pointer
  * added new default icons for volume & brightness
  * numerous other visual tweaks
  * various code cleanups
  * bumped the release number closer to 1.0

  [ Martin Pitt ]
  * debian/control: Fix Vcs-Bzr to point to Ubuntu packaging branch.
  * Add debian/notify-osd.{preinst,postrm}: Divert
    notification-daemon's D-BUS activation .service file, and drop the
    Conflicts:/Replaces: notification-daemon, so that the packages can
    be installed side by side. This paves the way for offering an
    "almost vanilla" GNOME session (UbuntuSpec:stracciatella-session).
  * debian/control, debian/changelog, debian/notify-osd.install:
    Rename package to notify-osd.  The transitional package should be
    kept for a while, until all users of the PPA and daily Jaunty
    users have upgraded to the new package name.

 -- Martin Pitt <martin.pitt@ubuntu.com>  Wed, 18 Feb 2009 18:53:58 +0100

alsdorf (0.8-0ubuntu1) jaunty; urgency=low

  * Initial jaunty upload based on the dxteam work
  * debian/control, debian/rules:
    - don't run autotools but use a tarball
  * COPYING.LGPL: copy the LGPL license in the tarball

 -- Sebastien Bacher <seb128@ubuntu.com>  Tue, 17 Feb 2009 19:33:58 +0100
